🚀 API 2.0 is now live! See our API Reference for details.
🚀 API 2.0 is now live! See our API Reference for details.
Retrieves a specific inbound by its ID
curl --request GET \
--url https://api.nlpearl.ai/v1/Inbound/{inboundId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"status": 123,
"pearlName": "<string>",
"totalAgents": 123,
"phoneNumber": "<string>",
"totalTodayCalls": 123,
"totalOngoingCalls": 123,
"totalOnQueue": 123,
"created": "2023-11-07T05:31:56Z",
"creditUsed": 123
}Documentation Index
Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
Use this file to discover all available pages before exploring further.
Specify the authorization token.
For more information, check out the Authorization Guide.
The unique identifier of the inbound.
Details of the specific inbound.
The unique identifier of the inbound activity.
The name of the inbound activity.
Here is the activity status
1 - Running
2 - Paused
3 - Suspended
10 - TemporaryMaintenance
The name of the Pearl associated with this inbound activity.
The total number of agents allocated to this inbound activity.
The phone number associated with this inbound activity.
The total number of calls received today.
The total number of ongoing calls.
The total number of calls currently in the queue.
The date and time when the inbound activity was created.
curl --request GET \
--url https://api.nlpearl.ai/v1/Inbound/{inboundId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"status": 123,
"pearlName": "<string>",
"totalAgents": 123,
"phoneNumber": "<string>",
"totalTodayCalls": 123,
"totalOngoingCalls": 123,
"totalOnQueue": 123,
"created": "2023-11-07T05:31:56Z",
"creditUsed": 123
}